call spQuery_Logisitica_Inventario_Toma(1);

DROP PROCEDURE IF EXISTS spQuery_Logisitica_Inventario_Toma;
CREATE PROCEDURE spQuery_Logisitica_Inventario_Toma(
  varIde    int
  )
BEGIN

  select P.id_proveedor as CLIN, L.nombre as LINEA,
  P.id_tipo as CTIP, T.nombre as TIPO,
  P.id_familia as CFAM, F.nombre as FAMILIA,
  P.id_sub_familia as CSUB, S.nombre as SUB_FAMILIA,
  I.id_producto as CPRO, 
  P.descripcion as PRODUCTO,
  I.id_um as UM,
  I.cant_sistema as QSISTEMA,
  I.cant_fisico AS QFISICO,
  I.cant_diferencia AS QDIFERENCIA,
  I.PRECIO,
  I.MONTO
  from _sv_inventario_det I
  inner join _sv_producto P    ON I.id_producto = P.id_producto
  inner join _sv_proveedor L   ON P.id_proveedor = L.id_proveedor
  inner join _sv_tipo T        ON P.id_tipo = T.id_tipo
  inner join _sv_familia F     ON P.id_familia = F.id_familia
  inner join _sv_sub_familia S ON P.id_sub_familia = S.id_sub_familia
  where I._estado = 'A'
  and I.id_inventario = varIde
  order by P.id_proveedor, T.nombre, F.nombre, S.nombre, I.id_producto;
END;

select D.id_inventario, D.id_producto, D.id_um, D.cant_sistema, D.cant_fisico, D.cant_diferencia, D.precio, D.monto, P.id_producto, P.id_um, P.ppc
from _sv_inventario_det D 
left join _sv_precio_promedio_compra P on D.id_producto = P.id_producto and P.id_anio='2013' and id_mes='06'
where id_inventario=12;